plpfuse(8)

NAME
plpfuse - Daemon to mount an EPOC device as a file system

SYNOPSIS
plpfuse [-V] [-d] [-h] [-p [HOST:]PORT] [LONG-OPTIONS] MOUNTPOINT

DESCRIPTION
plpfuse is a file system which provides file system access to your EPOC device. It mounts the EPOC device's file systems in your computer's file system. Like the other front-ends, this program auto-reconnects after a link failure, so you can keep the EPOC device mounted all the time, even when it is not connected. Due to Rudolf Koenig's clever error handling, you don't need to worry about blocked I/O processes if the psion isn't available. You will simply get a "device not configured" error, when accessing a file on a previously connected psion which has been disconnected. After that, the mount point will appear with the drives missing. As soon as the psion is connected again, the subdirectories will reappear (possibly with a few seconds' delay).

EPOC file attributes are mapped as follows: readable on the EPOC device is mapped to user-readable on UNIX; read-only is inverted and mapped to user-writable; system, hidden and archived are mapped to the extended user attribute user.psion as the single characters `s', `h' and `a'. The extended attribute can therefore be up to three characters long. An attempt to read or write any other extended attribute will give an error.

OPTIONS

-V, --version
    Display the version and exit

-h, --help
    Display a short help text and exit.

-d, --debug
    Produce debugging logs. Can be specified more than once to increase the debug level (up to 3 times).

-p, --port=[host:]port
    Specify the host and port to connect to (e.g. the port where ncpd is listening on) - by default the host is 127.0.0.1 and the port is looked up in /etc/services. If it is not found there, a fall-back builtin of 7501.

BUGS
Because UNIX file names are simply byte strings, if your EPOC device uses a different character set from the computer to which it is connected, which is highly likely, then characters which are differently encoded between the two characters sets will not translate between the two systems. it is usually safe to use 7-bit ASCII characters, avoiding colon (invalid on EPOC) and slash (invalid on UNIX). This problem may be fixed in future.

SEE ALSO
ncpd(8), plpprintd(8), plpftp(1), sisinstall(1), fusermount(1)

AUTHOR
Reuben Thomas, based on plpnfsd by Fritz Elfert, and FUSE example code by Miklos Szeredi (miklos@szeredi.hu).
plpnfsd itself was heavily based on p3nfsd by Rudolf Koenig (rfkoenig@immd4.informatik.uni-erlangen.de) and plp_1_7 by Philip Proudman (phil@proudman51.freeserve.co.uk), with patches from Matt Gumbley (matt@gumbley.demon.co.uk).
Man page by Reuben Thomas <rrt@sc3d.org>, based on the man page for plpnfsd by John Lines (john+plpman@paladin.demon.co.uk).